GET /sources/{id}
Retrieve a single source by its ID.

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Resource ID (32-char hex)
Example: "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

Responses

200 Source details
application/json
source object | null REQUIRED
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
slug string REQUIRED
name string REQUIRED
description string | null REQUIRED
template string | null REQUIRED
verification_enabled integer REQUIRED
verification_type string | null REQUIRED
verification_secret string | null REQUIRED
verification_header string | null REQUIRED
verification_config string | null REQUIRED
dedup_enabled integer REQUIRED
dedup_strategy string | null REQUIRED
dedup_field string | null REQUIRED
dedup_window_seconds integer REQUIRED
ip_allowlist string | null REQUIRED
ip_denylist string | null REQUIRED
status string REQUIRED
event_count integer REQUIRED
last_event_at string | null REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
is_ephemeral integer REQUIRED
expires_at string | null REQUIRED
request_limit integer | null REQUIRED
type string REQUIRED
source_config string | null REQUIRED
schema_validation_enabled integer REQUIRED
json_schema string | null REQUIRED
schema_action string | null REQUIRED
401 Unauthorized
404 Source not found
curl -X GET 'https://hookstream.io/v1/sources/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/sources/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/sources/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/sources/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "source": {
    "id": "<string>",
    "org_id": "<string>",
    "env_id": "<string>",
    "slug": "<string>",
    "name": "<string>",
    "description": "<string>",
    "template": "<string>",
    "verification_enabled": 123,
    "verification_type": "<string>",
    "verification_secret": "<string>",
    "verification_header": "<string>",
    "verification_config": "<string>",
    "dedup_enabled": 123,
    "dedup_strategy": "<string>",
    "dedup_field": "<string>",
    "dedup_window_seconds": 123,
    "ip_allowlist": "<string>",
    "ip_denylist": "<string>",
    "status": "<string>",
    "event_count": 123,
    "last_event_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "is_ephemeral": 123,
    "expires_at": "<string>",
    "request_limit": 123,
    "type": "<string>",
    "source_config": "<string>",
    "schema_validation_enabled": 123,
    "json_schema": "<string>",
    "schema_action": "<string>"
  }
}
GET /sources/{id}
Ask a question... ⌘I